<form>
    <h2 mat-dialog-title class="signin-title">Sign in</h2>
    <mat-dialog-content>
        <div class="signin-form" [formGroup]="signinForm">
            <mat-form-field appearance="outline" class="signin-form-field">
                <mat-label>Enter your username</mat-label>
                <input matInput name="mlm-username" formControlName="username" required>
                <mat-hint>At least 4 characters</mat-hint>
                <mat-error *ngIf="username.errors?.required">You must enter an username</mat-error>
                <mat-error *ngIf="username.errors?.minlength">Your username must be at least 4 characters long
                </mat-error>
                <mat-error *ngIf="username.errors?.noUser">Username not found</mat-error>
            </mat-form-field>
            <mat-form-field appearance="outline" class="signin-form-field">
                <mat-label>Enter your password</mat-label>
                <input matInput type="password" formControlName="password" required>
                <mat-hint>At least 8 characters</mat-hint>
                <mat-error *ngIf="password.errors?.required">You must enter an password</mat-error>
                <mat-error *ngIf="password.errors?.minlength">Your password must be at least 8 characters long
                </mat-error>
                <mat-error *ngIf="password.errors?.wrongPwd">Password doesn't match</mat-error>
            </mat-form-field>
            <span>
                No acount ?
                <a mat-button routerLink="/register" color="primary" mat-dialog-close>
                    Register here
                </a>
            </span>

        </div>
    </mat-dialog-content>
    <mat-dialog-actions align="end">
        <button type="submit" mat-button color="primary" [disabled]="!signinForm.valid" (click)="signin()">Sign
            in</button>
        <button mat-button color="accent" mat-dialog-close>Cancel</button>
    </mat-dialog-actions>
</form>